KDE 4.2 PyKDE API Reference

- KDE's Python API

# KSelectionWatcher Class Reference

`from PyKDE4.kdeui import *`

Inherits: QObject

## Detailed Description

## Signals

| lostOwner ()
| newOwner (Window owner)

## Methods

| __init__ (self, Atom selection, int screen=-1, QObject parent=NULL)
| __init__ (self, QString selection, int screen=-1, QObject parent=NULL)
| filterEvent (self, XEvent ev_P)
| lostOwner (self)
| newOwner (self, Window owner)
Window | owner (self)

## Method Documentation

__init__ | ( | self, |
|  | Atom | selection,
|  | int | screen=-1,
|  | QObject | parent=NULL
| ) |  |  |

This constructor initializes the object, but doesn't perform any operation on the selection.

Parameters:

  | selection | atom representing the manager selection
  | screen | X screen, or -1 for default
  | parent | parent object, or NULL if there is none

__init__ | ( | self, |
|  | QString | selection,
|  | int | screen=-1,
|  | QObject | parent=NULL
| ) |  |  |

This constructor accepts the selection name and creates the appropriate atom for it automatically.

Parameters:

  | selection | name of the manager selection
  | screen | X screen, or -1 for default
  | parent | parent object, or NULL if there is none

filterEvent | ( | self, |
|  | XEvent | ev_P
| ) |  |  |

Internal:

lostOwner | ( |  | self ) |

This signal is emitted when the selection is given up, i.e. there's no owner. Note that the selection may be immediatelly claimed again, so the newOwner() signal may be emitted right after this one. It's safe to delete the instance in a slot connected to this signal.

Signal syntax:
  `QObject.connect(source, SIGNAL("lostOwner()"), target_slot)`

newOwner | ( | self, |
|  | Window | owner
| ) |  |  |

This signal is emitted when the selection is successfully claimed by a new owner.

Parameters:

  | owner | the new owner of the selection

Signal syntax:
  `QObject.connect(source, SIGNAL("newOwner(Window)"), target_slot)`

Window owner | ( |  | self ) |

Return the current owner of the manager selection, if any.